Page MenuHomePhabricator

Implement a special page to link to remote repo for federated properties
Closed, ResolvedPublic

Description

Details:

  • Create another special page implementation that just displays the notice with a link
  • Wire up that special page in place of the existing list properties page when federated properties is enabled
  • The link to the source wiki will use the fed props URL configuration setting. pointing to ?title= and the specil page (see below)

The file with the wiring is repo/Wikibase.php, search for $wgSpecialPages['ListProperties']

URL construction would be something like this (taken from ApiEntityUrlLookup)

$this->sourceWikibaseUrl . 'index.php?' . http_build_query( [
				'title' => $titleText,
			] );

Event Timeline

Change 607539 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[mediawiki/extensions/Wikibase@master] FP: Add Special:ListProperties with link to source

https://gerrit.wikimedia.org/r/607539

Addshore claimed this task.Jun 30 2020, 8:49 AM
Addshore added a subscriber: Silvan_WMDE.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 30 2020, 8:49 AM

The page on the current patch looks as follows:

Addshore triaged this task as Medium priority.Jul 1 2020, 8:55 AM

Change 607539 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Add Special:ListProperties with link to source

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /607539

Change 609149 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: Update qqq.json for new entries

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /609149

Change 609149 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Update qqq.json for new entries

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /609149

Addshore closed this task as Resolved.Jul 15 2020, 8:17 AM